<div class="login-page">
        <div class="form">
          
          <div class="login-form">
            <input type="text" class="reg-fname"  [(ngModel)]="user.FirstName" placeholder="first name"/>
            <input type="text" class="reg-lname"  [(ngModel)]="user.Last_Name" placeholder="last name"/>
            <input type="text" class="reg-uname" [(ngModel)]="user.UserName" placeholder="username"/>
            <input type="password" class="reg-pwd"  [(ngModel)]="user.Password" placeholder="password"/>            
            <button class="reg-btn" (click)="register()">register</button>
            <span class="errorCls">
                <P *ngIf="showError">Please enter all fields</P> 
                <P *ngIf="exist">Username already exist</P>       
                <P *ngIf="succReg" class="succ">Successfully registered</P>         
            </span>
          </div>
        </div>
      </div>